Range-v3 Range algorithms, views, and actions for the Standard Library |

Public Member Functions | List of all members
ranges::max_element_fn Struct Reference
Algorithms

## Public Member Functions
template<typename I , typename S , typename C = less, typename P = identity>
auto | operator() (I begin, S end, C pred=C{}, P proj=P{}) const -> I requires forward_iterator< I > &&sentinel_for< S, I > &&indirect_strict_weak_order< C, projected< I, P >>
template<typename Rng , typename C = less, typename P = identity>
auto | operator() (Rng &&rng, C pred=C{}, P proj=P{}) const -> safe_iterator_t< Rng > requires forward_range< Rng > &&indirect_strict_weak_order< C, projected< iterator_t< Rng >, P >>